import { FETCH_TASKS_FAILURE, FETCH_TASKS_REQUEST, FETCH_TASKS_SUCCESS } from "../actionTypes/tasksTypes";
import axios from '../../axiosPlanner'

const fetchTasksRequest = () => {
  return {type:  FETCH_TASKS_REQUEST}
};

const fetchTasksSuccess = (tasks) => {
  return {type: FETCH_TASKS_SUCCESS, tasks}
};

const fetchTasksFailure = (error) => {
  return {type: FETCH_TASKS_FAILURE, error}
};

export const fetchTasks = () => {
  return async (dispatch) => {
      dispatch(fetchTasksRequest());
      try {
        const response = await axios.get("/tasks");
        console.log(response.data)
        dispatch(fetchTasksSuccess(response.data))
      } catch (error) {
        dispatch(fetchTasksFailure(error.response.data));
      }
  }
}
